OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeTrimmedCurve Class Reference

This class implements the mapping between classes
class TrimmedCurve from StepGeom which
describes a Trimmed Curve from prostep and TrimmedCurve from
Geom.
.

`#include <StepToGeom_MakeTrimmedCurve.hxx>`

Inheritance diagram for StepToGeom_MakeTrimmedCurve:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeTrimmedCurve (const Handle(StepGeom_TrimmedCurve)&C)
Standard_EXPORT const Handle_Geom_TrimmedCurve & | Value () const
## Private Attributes
Handle_Geom_TrimmedCurve | theTrimmedCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeTrimmedCurve::StepToGeom_MakeTrimmedCurve | ( | const Handle(StepGeom_TrimmedCurve)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeTrimmedCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeTrimmedCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeTrimmedCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_TrimmedCurve& StepToGeom_MakeTrimmedCurve::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_TrimmedCurve StepToGeom_MakeTrimmedCurve::theTrimmedCurve`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeTrimmedCurve.hxx